[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba5n.zcos');

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A4', 'A2', 'A5'];//Имена выходных характеристик модели

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShemaPath,..//Схема системы
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4..//Максимальный шаг интегрирования по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,...//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,...//Имена выходных характеристик модели
                       SystemShemaPath,...//Схема системы
                       [],[],..//Параметры системы не меняем
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4..//Максимальный шаг интегрирования по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

//Загружаем тестовую блок-диаграмму
SystemShema = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShema,..//Схема системы
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4..//Максимальный шаг интегрирования по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,...//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,...//Имена выходных характеристик модели
                       SystemShema,...//Схема системы
                       [],[],..//Параметры системы не меняем
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4..//Максимальный шаг интегрирования по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

clear;
