[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba5.zcos');

//Параметры системы
SystemParametrsNames = ['a', 'c', 'uy', 'g', 'l', 'oi'];//Имена параметров
SystemParametrsValues = [5.9, 5.19, 9.11, 8.1, 3.33, 9.98];//Значения параметров

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A4', 'A2', 'A5'];//Имена выходных характеристик модели

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShemaPath,..//Схема системы
                       SystemParametrsNames,..//Имена параметров
                       SystemParametrsValues,..//Значения параметров
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4,..//Максимальный шаг интегрирования по времени
                       1,..//Решатель
                       1.83E-10..//Погрешность по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol,SystemShemae.props.tol);
assert_checkequal(SystemProps.context,SystemShemae.props.context);
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

//Загружаем тестовую блок-диаграмму
SystemShema = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShema,..//Схема системы
                       SystemParametrsNames,..//Имена параметров
                       SystemParametrsValues,..//Значения параметров
                       1.5E-6,..//Абсолютная погрешность
                       1.7E-6,..//Относительная погрешность
                       7.0,..//Время симуляции
                       1.8E-4,..//Максимальный шаг интегрирования по времени
                       1,..//Решатель
                       1.83E-10..//Погрешность по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A4.time,..
                                      SystemModelOutputChatacteristics(2).values - A4.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
dSystemModelOutputChatacteristics4 = [SystemModelOutputChatacteristics(4).time - A5.time,..
                                      SystemModelOutputChatacteristics(4).values - A5.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol,SystemShemae.props.tol);
assert_checkequal(SystemProps.context,SystemShemae.props.context);
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics4 .^ 2), 0);

clear;
