[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba2.zcos');

//Параметры системы
SystemParametrsNames = ['b', 'au', 'e', 'c'];//Имена параметров
SystemParametrsValues = ['3.129', '1.1', '2.7*b', '5.49'];//Значения параметров

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShemaPath,..//Схема системы
                       SystemParametrsNames,..//Имена параметров
                       SystemParametrsValues,..//Значения параметров
                       0.6E-6,..//Абсолютная погрешность
                       0.4E-6,..//Относительная погрешность
                       9.0..//Время симуляции
                       );

//Запускаем тестовый пример   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A3.time,..
                                      SystemModelOutputChatacteristics(2).values - A3.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
              
//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5]),SystemShemae.props.tol([1, 2, 5]));
assert_checkequal(SystemProps.context,SystemShemae.props.context);
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);

//Загружаем тестовую блок-диаграмму
SystemShema = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemModelOutputChatacteristics,..//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,..//Имена выходных характеристик модели
                       SystemShema,..//Схема системы
                       SystemParametrsNames,..//Имена параметров
                       SystemParametrsValues,..//Значения параметров
                       0.6E-6,..//Абсолютная погрешность
                       0.4E-6,..//Относительная погрешность
                       9.0..//Время симуляции
                       );

//Запускаем тестовый пример   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A3.time,..
                                      SystemModelOutputChatacteristics(2).values - A3.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];
              
//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol([1, 2, 5]),SystemShemae.props.tol([1, 2, 5]));
assert_checkequal(SystemProps.context,SystemShemae.props.context);
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);

clear;
