[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 5);
DynamicFiltersFunctions{1} = DynamicFilterFunction2;
DynamicFiltersFunctions{2} = DynamicFilterFunction1;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;
DynamicFiltersFunctions{5} = DynamicFilterFunction1;

//Параметры диаграммы
SystemParametrsNames = ['b', 'au1', 'e', 'h', 'c'];//Имена параметров
SystemParametrsValues = [ '1.5', '1.0',    '4.5', '6.15*e',   '2.25';
                          '3.3', '2.0', '4.83*b',   '7.23',   '2.73';
                         '4.53', '2.5',    '5.1',   '6.69', '1.83*a'];//Значения параметров

//Путь к файлу диаграммы
SystemShemaPath = fullfile(pathlib, 'Proba7.zcos');

//Запускаем эталонный пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e4.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                DynamicFilterFunction1(A4.time,A4.values(:,1))];
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e5.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A4.time,A4.values(:,1))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e6.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A4.time,A4.values(:,1))]]; 

//Создаем графические окна
scf(5);
x = 0:0.01:(2*%pi);
plot(x,(sin(5*x)).^2);

//Проверяем открытые графические окна до тестирования
Wins_begin = winsid();

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 ['DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction1'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 ['DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction1'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Загружаем схему системы
SystemShema = xcosDiagramToScilab(SystemShemaPath);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 ['DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction1'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A4'],...//Имена выходных характеристик системы
                                 [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 ['DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction1'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                 [10.0,12.9,15.3],..//Время симуляции
                                 [0.75E-4,0.81E-4,0.87E-4]..//Максимальный шаг интегрирования по времени
                                 );

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Проверяем оставшиеся графические окна
Wins_end = winsid();//Индексы открытых графических окон
assert_checkequal(Wins_begin,Wins_end);

//Закрываем открытые графические окна
for win=matrix(Wins_end,1,-1)
    delete(scf(win));
end

clear;
