[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 7);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;
DynamicFiltersFunctions{5} = DynamicFilterFunction2;
DynamicFiltersFunctions{6} = DynamicFilterFunction1;
DynamicFiltersFunctions{7} = DynamicFilterFunction2;

//Параметры диаграммы
SystemParametrsNames = ['b', 'au1', 'd', 'aw2'];//Имена параметров
SystemParametrsValues = [1.65, 1.0, 3.51, 7.23;
                         2.07, 2.1, 3.03, 3.39;
                         1.11, 3.3, 3.57, 1.53;
                         1.17, 4.5, 3.51, 2.19;
                         1.23, 6.3, 3.21, 4.53];//Значения параметров

//Гиперпараметры диаграммы
SystemHyperParametrsNames = ['c','e','hu'];//Имена гиперпараметров, определяющих динамику
SystemHyperParametrsValues = [3.27,4.5,2.1];//Значения гиперпараметров, определяющих динамику

//Путь к файлу диаграммы
SystemShemaPath = fullfile(pathlib, 'Proba9.zcos');

//Запускаем эталонные примеры
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba9e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                DynamicFilterFunction2(A3.time,A3.values(:,1)),..
                                DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                DynamicFilterFunction1(A1.time,A1.values(:,1)),..
                                DynamicFilterFunction2(A1.time,A1.values(:,2)),..
                                DynamicFilterFunction1(A5.time,A5.values(:,1)),..
                                DynamicFilterFunction2(A5.time,A5.values(:,3))];
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba9e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,1)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,1)),..
                                 DynamicFilterFunction2(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A5.time,A5.values(:,1)),..
                                 DynamicFilterFunction2(A5.time,A5.values(:,3))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba9e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,1)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,1)),..
                                 DynamicFilterFunction2(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A5.time,A5.values(:,1)),..
                                 DynamicFilterFunction2(A5.time,A5.values(:,3))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba9e4.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,1)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,1)),..
                                 DynamicFilterFunction2(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A5.time,A5.values(:,1)),..
                                 DynamicFilterFunction2(A5.time,A5.values(:,3))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba9e5.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,1)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,1)),..
                                 DynamicFilterFunction2(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A5.time,A5.values(:,1)),..
                                 DynamicFilterFunction2(A5.time,A5.values(:,3))]]; 

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A1', 'A5', 'A5'],...//Имена выходных характеристик системы
                                 [3, 1, 1, 1, 2, 1, 3],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 SystemHyperParametrsNames,..//Имена гиперпараметров, определяющих динамику
                                 SystemHyperParametrsValues,..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.51E-6,0.57E-6, 0.87E-6,0.63E-6],..//Абсолютная погрешность
                                 [0.69E-6,0.57E-6,0.75E-6,0.723E-6,0.45E-6],..//Относительная погрешность
                                 [10.0,11.1,15.3,12.9,17.7]..//Время симуляции
                                 );

//Сверяем результат расчета с эталонным                        
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A1', 'A5', 'A5'],...//Имена выходных характеристик системы
                                 [3, 1, 1, 1, 2, 1, 3],...//Индексы динамик (в именах)
                                 SystemShemaPath,...//Имя схемы системы
                                 ['DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 SystemHyperParametrsNames,..//Имена гиперпараметров, определяющих динамику
                                 SystemHyperParametrsValues,..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.51E-6,0.57E-6, 0.87E-6,0.63E-6],..//Абсолютная погрешность
                                 [0.69E-6,0.57E-6,0.75E-6,0.723E-6,0.45E-6],..//Относительная погрешность
                                 [10.0,11.1,15.3,12.9,17.7]..//Время симуляции
                                 );

//Сверяем результат расчета с эталонным                        
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Загружаем схему системы
SystemShema = xcosDiagramToScilab(SystemShemaPath);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A1', 'A5', 'A5'],...//Имена выходных характеристик системы
                                 [3, 1, 1, 1, 2, 1, 3],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 DynamicFiltersFunctions,...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 SystemHyperParametrsNames,..//Имена гиперпараметров, определяющих динамику
                                 SystemHyperParametrsValues,..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.51E-6,0.57E-6, 0.87E-6,0.63E-6],..//Абсолютная погрешность
                                 [0.69E-6,0.57E-6,0.75E-6,0.723E-6,0.45E-6],..//Относительная погрешность
                                 [10.0,11.1,15.3,12.9,17.7]..//Время симуляции
                                 );

//Сверяем результат расчета с эталонным                        
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicEvidence(['A3', 'A3', 'A2', 'A1', 'A1', 'A5', 'A5'],...//Имена выходных характеристик системы
                                 [3, 1, 1, 1, 2, 1, 3],...//Индексы динамик (в именах)
                                 SystemShema,...//Имя схемы системы
                                 ['DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2',..
                                  'DynamicFilterFunction1',..
                                  'DynamicFilterFunction2'],...//Функция сжатия динамик
                                 SystemParametrsNames,...//Имена параметров, определяющих динамику
                                 SystemParametrsValues,...//Значения параметров, определяющих динамику
                                 SystemHyperParametrsNames,..//Имена гиперпараметров, определяющих динамику
                                 SystemHyperParametrsValues,..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.51E-6,0.57E-6, 0.87E-6,0.63E-6],..//Абсолютная погрешность
                                 [0.69E-6,0.57E-6,0.75E-6,0.723E-6,0.45E-6],..//Относительная погрешность
                                 [10.0,11.1,15.3,12.9,17.7]..//Время симуляции
                                 );

//Сверяем результат расчета с эталонным                        
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);

clear;
