[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Параметры диаграммы
SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
SystemParametrsValues = [ 1.5, 0.81, 3.81;
                         2.25, 0.51, 6.81;
                         1.11, 0.93, 3.51];//Значения параметров

//Моменты времени
TimeMoments = cell(1, 3);
TimeMoments{1} = [0.0:0.05:9.95];
TimeMoments{2} = [0.0:0.1:9.9]';
TimeMoments{3} = [0.0:0.2:9.8];

//Путь к файлу диаграммы
SystemShemaPath = fullfile(pathlib, 'Proba3.zcos');

//Запускаем эталонные примеры   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e4.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e5.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e6.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)];

//Создаем графические окна
scf(6);
x = 0:0.01:(2*%pi);
plot(x,sin(x));
plot(x,sin(2*x));
scf(7);
plot(x,cos(3*x));

//Проверяем открытые графические окна до тестирования
Wins_begin = winsid();

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);
assert_checkequal(TimesMoments, [0.0:0.05:9.95,..
                                 0.0:0.1:9.9,..
                                 0.0:0.2:9.8]');

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);
assert_checkequal(TimesMoments, [0.0:0.05:9.95,..
                                 0.0:0.1:9.9,..
                                 0.0:0.2:9.8]');

//Загружаем схему системы
SystemShema = xcosDiagramToScilab(SystemShemaPath);

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);
assert_checkequal(TimesMoments, [0.0:0.05:9.95,..
                                 0.0:0.1:9.9,..
                                 0.0:0.2:9.8]');

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3'],..//Имена выходных характеристик системы
                                 [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                 [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                 [10.0,11.0,12.9],..//Время симуляции
                                 [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                 [2,3,5]..//Решатель
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);   
assert_checktrue(dSystemOutputChatacteristics < 45);
assert_checkequal(SystemParametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);..
                                    2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);..
                                    1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones(200, 1);..
                                           2.0*ones(100, 1);..
                                           3.0*ones( 50, 1)]);
assert_checkequal(TimesMoments, [0.0:0.05:9.95,..
                                 0.0:0.1:9.9,..
                                 0.0:0.2:9.8]');

//Проверяем оставшиеся графические окна
Wins_end = winsid();//Индексы открытых графических окон
assert_checkequal(Wins_begin,Wins_end);

//Закрываем открытые графические окна
for win=matrix(Wins_end,1,-1)
    delete(scf(win));
end

clear;
