[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Параметры диаграммы
SystemParametrsNames = ['a', 'wq1', 'b', 'e', 'c'];//Имена параметров
SystemParametrsValues = ['1.83', '1.0', '6.69',  '5.1', '2.49';
                         '1.23', '2.1', '6.75', '5.79', '2.25';
                         '2.13', '3.3', '5.19', '6.03', '2.55'];//Значения параметров

//Моменты времени
TimeMoments = cell(1, 3);
TimeMoments{1} = [0.0:0.02:9.98]';
TimeMoments{2} = [0.0:0.01:9.99];
TimeMoments{3} = [0.0:0.04:9.96]';

//Путь к файлу диаграммы
SystemShemaPath = fullfile(pathlib, 'Proba6.zcos');

//Запускаем эталонные примеры
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e4.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)];      
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e5.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e6.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)]; 

//Создаем графические окна
scf(5);
x = 0:0.01:(2*%pi);
plot(x,(sin(5*x)).^2);

//Проверяем открытые графические окна до тестирования
Wins_begin = winsid();

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs...//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,...//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96]');

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs...//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,...//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96]');

//Загружаем схему системы
SystemShema = xcosDiagramToScilab(SystemShemaPath);

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs...//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,...//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 [],..//Значения гиперпараметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96]');

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs...//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,...//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A4'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [ 0.5E-6,0.63E-6,0.75E-6]..//Абсолютная погрешность
                                 );

//Сверяем полученные данные с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);//Ищем погрешность
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.83);
SystemParametrs = evstr(SystemParametrs);//рассчитываем значения параметров
assert_checkequal(SystemParametrs, [1.83*ones( 500,1), 1.0*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                                    1.23*ones(1000,1), 2.1*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                                    2.13*ones( 250,1), 3.3*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96]');

//Проверяем оставшиеся графические окна
Wins_end = winsid();//Индексы открытых графических окон
assert_checkequal(Wins_begin,Wins_end);

//Закрываем открытые графические окна
for win=matrix(Wins_end,1,-1)
    delete(scf(win));
end

clear;
