[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'we1', 'd', 'yt4'];//Имена параметров
SystemParametrsValues = [1.87, 1.0, 3.45, -2.7;
                         1.17, 2.1, 3.39, -2.1;
                         1.23, 2.7, 4.41,  3.9;
                         2.01, 3.3, 5.01, -5.1;
                         2.31, 4.5, 5.31,  5.7];//Значения параметров

//Моменты времени
TimeMoments = cell(1, 5);
TimeMoments{1} = [0.0:0.02:9.98];
TimeMoments{2} = [0.0:0.01:9.99]';
TimeMoments{3} = [0.0:0.04:9.96]';
TimeMoments{4} = [0.0:0.01:9.99];
TimeMoments{5} = [0.0:0.02:9.98];

//Путь к файлу диаграммы
SystemShemaPath = fullfile(pathlib, 'Proba8.zcos');

//Запускаем эталонные примеры   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e6.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e7.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e8.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e9.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e10.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96,..
                                 0.0:0.01:9.99,..
                                 0.0:0.02:9.98]');

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);

//Запускаем базовую функцию
[SystemOutputCharacteristics,..//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShemaPath,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96,..
                                 0.0:0.01:9.99,..
                                 0.0:0.02:9.98]');

//Загружаем схему системы
SystemShema = xcosDiagramToScilab(SystemShemaPath);

//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues,..//Значения параметров, определяющих динамику
                                 [],..//Имена гиперпараметров, определяющих динамику
                                 []..//Значения гиперпараметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96,..
                                 0.0:0.01:9.99,..
                                 0.0:0.02:9.98]');
       
//Запускаем базовую функцию
[SystemOutputCharacteristics..//Выходные характеристики
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes..//Индексы параметров
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs..//Параметры
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
       
//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 SystemParametrsIndexes,..//Индексы параметров
 SystemParametrs,..//Параметры
 TimesMoments..//Моменты времени
 ]=ModelingSystemDynamicTimeGrid(['A1', 'A2', 'A3', 'A3', 'A5', 'A5'],..//Имена выходных характеристик системы
                                 [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                 SystemShema,..//Имя схемы системы
                                 TimeMoments,..//Моменты времени
                                 SystemParametrsNames,..//Имена параметров, определяющих динамику
                                 SystemParametrsValues..//Значения параметров, определяющих динамику
                                 );

//Запускаем сопоставление расчитанных результатов с эталонными
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(SystemParametrs, [1.87*ones( 500,1), 1.0*ones( 500,1), 3.45*ones( 500,1), -2.7*ones( 500,1);
                                    1.17*ones(1000,1), 2.1*ones(1000,1), 3.39*ones(1000,1), -2.1*ones(1000,1);
                                    1.23*ones( 250,1), 2.7*ones( 250,1), 4.41*ones( 250,1),  3.9*ones( 250,1);
                                    2.01*ones(1000,1), 3.3*ones(1000,1), 5.01*ones(1000,1), -5.1*ones(1000,1);
                                    2.31*ones( 500,1), 4.5*ones( 500,1), 5.31*ones( 500,1),  5.7*ones( 500,1)]);
assert_checkequal(SystemParametrsIndexes, [1.0*ones( 500, 1);..
                                           2.0*ones(1000, 1);..
                                           3.0*ones( 250, 1);..
                                           4.0*ones(1000, 1);..
                                           5.0*ones( 500, 1)]);
assert_checkequal(TimesMoments, [0.0:0.02:9.98,..
                                 0.0:0.01:9.99,..
                                 0.0:0.04:9.96,..
                                 0.0:0.01:9.99,..
                                 0.0:0.02:9.98]');
       
clear;
