[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba1n.zcos');

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы  

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6,..//Относительная погрешность
                        10.0,..//Время симуляции
                        0.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6,..//Относительная погрешность
                        10.0,..//Время симуляции
                        0.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы 

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6,..//Относительная погрешность
                        10.0,..//Время симуляции
                        0.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6,..//Относительная погрешность
                        10.0,..//Время симуляции
                        0.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);

clear;
