[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba2n.zcos');

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы   

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,..//Схема системы
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1.0..//Решатель
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1,2,5,6,7]),..
                  SystemShemae.props.tol([1,2,5,6,7]));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1.0..//Решатель
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1,2,5,6,7]),..
                  SystemShemae.props.tol([1,2,5,6,7]));

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы 

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1.0..//Решатель
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1,2,5,6,7]),..
                  SystemShemae.props.tol([1,2,5,6,7]));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1.0..//Решатель
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1,2,5,6,7]),..
                  SystemShemae.props.tol([1,2,5,6,7]));

clear;
