[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba5.zcos');

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A4', 'A2', 'A5'];//Имена выходных характеристик модели

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4..//Максимальный шаг интегрирования по времени
                        ); 

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4..//Максимальный шаг интегрирования по времени
                        ); 

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы 

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4..//Максимальный шаг интегрирования по времени
                        ); 

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4..//Максимальный шаг интегрирования по времени
                        ); 

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol([1, 2, 5, 7]),..
                  SystemShemae.props.tol([1, 2, 5, 7]));

clear;
