[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba2.zcos');

//Параметры системы
SystemParametrsNames = ['b', 'au', 'e', 'c'];//Имена параметров
SystemParametrsValues = ['3.129', '1.1', '2.7*b', '5.49'];//Значения параметров

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы   

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1.5E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.6E-6,..//Абсолютная погрешность
                        0.4E-6,..//Относительная погрешность
                        9.0,..//Время симуляции
                        0.7E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1.5E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

clear;
