[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba5.zcos');

//Параметры системы
SystemParametrsNames = ['a', 'c', 'uy', 'g', 'l', 'oi'];//Имена параметров
SystemParametrsValues = [5.9, 5.19, 9.11, 8.1, 3.33, 9.98];//Значения параметров

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A4', 'A2', 'A5'];//Имена выходных характеристик модели

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e.zcos'));//Схема системы   

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1.83E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        1.5E-6,..//Абсолютная погрешность
                        1.7E-6,..//Относительная погрешность
                        7.0,..//Время симуляции
                        1.8E-4,..//Максимальный шаг интегрирования по времени
                        1,..//Решатель
                        1.83E-10..//Погрешность по времени
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tf,SystemShemae.props.tf);
assert_checkequal(SystemShema.props.tol,SystemShemae.props.tol);
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

clear;
