[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba1.zcos');

//Параметры системы
SystemParametrsNames = ['b', 'd'];//Имена параметров
SystemParametrsValues = [1.5, 3.81];//Значения параметров

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы  

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6..//Относительная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol([1, 2]),SystemShemae.props.tol([1, 2]));
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        SystemParametrsNames,...//Имена параметров
                        SystemParametrsValues,...//Значения параметров
                        0.5E-6,..//Абсолютная погрешность
                        0.7E-6..//Относительная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol([1, 2]),SystemShemae.props.tol([1, 2]));
assert_checkequal(SystemShema.props.context,SystemShemae.props.context);

clear;
